<?php

class XCube_ServiceManager
{
	var $mServices=array();
	
	function XCube_ServiceManager()
	{
	}
	
	function addXCubeService($name,&$service)
	{
		$this->mServices[$name]=&$service;
	}
	
	function &searchXCubeService($name)
	{
		$ret =null;

		if(isset($this->mServices[$name]))
			return $this->mServices[$name];

		return $ret;
	}
}


?>